# Site-specific parameters
# Change this variables as needed

# glib-config
GLIBCONF = /usr/local/bin/glib-config

# MySQL include and lib directories
MYSQLDIR = /usr/local/mysql
MYSQLINC = $(MYSQLDIR)/include
MYSQLLIB = $(MYSQLDIR)/lib

# c-client include and lib directories.
# Normally, they are in the same dir.
CCLIENTDIR = /usr/local/build/c-client
CCLIENTINC = $(CCLIENTDIR)
CCLIENTLIB = $(CCLIENTDIR)

INCLUDES = -I$(INC) -I$(MYSQLINC) -I$(CCLIENTINC) -I. `$(GLIBCONF) --cflags`


# OS-specific flags

##################### 
# Solaris (2.6, 7)
##################### 
# Uncomment to use gcc
CC    = gcc -Wall
CVERS = 

# Uncomment to use Solaris C
#CC    = ucbcc
#CVERS = -xCC

# Compiler flags
# _POSIX_PTHREAD_SEMANTICS is needed for ctime_r calls
CFLAGS  = -g $(CVERS) $(INCLUDES) -DHAVE_STRTOK_R -D_REENTRANT -D_POSIX_PTHREAD_SEMANTICS
LFLAGS  = -g -L$(LIB) -L$(MYSQLLIB) $(CCLIENTLIB)/c-client.a `$(GLIBCONF) --libs`
##################### 


##################### 
# BSDI (3.1)
##################### 
# Uncomment to use gcc
#CC     = gcc -Wall

# Compiler flags
#CFLAGS = -g -Wpointer-arith $(INCLUDES) -D_REENTRANT
#LFLAGS  = -L$(LIB) -L$(MYSQLLIB) $(CCLIENTLIB)/c-client.a `$(GLIBCONF) --libs`
##################### 

# END of OS-specific flags
